module TdModel
  module Sql
    def self.query(sql)
      td_client = ::TdModel.config.td_client
      job = td_client.query(::TdModel.config.database_name, sql, nil, nil, nil, type: :presto)

      until job.finished?
        sleep 2
        job.update_progress!
      end

      job.update_status!
      job.result
    end
  end
end